function ComScriptReader(config, parent) {
  this.config = config;
  this.parent = parent;

  $('body').addClass('reader');
  var milliseconds = config["refresh_seconds"] * 1000;
  setInterval(parent.refreshValues.bind(parent), milliseconds);

}

ComScriptReader.prototype.afterRefresh = function() { }

ComScriptReader.prototype.configureField = function(field) {
  if(field.config["type"] == "checkbox") {
    field.html("<input type='checkbox' disabled>");
    field.element = field.find(".value input");
  } else {
    field.element = field.find(".value");
  }
}

ComScriptReader.prototype.refreshField = function(field, value) {
  if(field.config["type"] == "checkbox") {
    field.element.prop('checked', value == field.config["on_value"]);
  } else {
    field.html(value);
  }
}

module.exports = ComScriptReader;
