Field = function(config) {
  this.config = config;

  this.row = $("#templates .field-row").clone();
  this.row.find(".field-name").text(config["label"]);
  this.row.find(".units").text(config["units"]);

  if(config["header"] !== undefined) {
    this.header = $("#templates .field-section").clone();
    this.header.find("td").html("<h3>" + config["header"] + "</h3>");
  }
};

Field.prototype.setElement = function(element) {
  this.element = element;
}

Field.prototype.html = function(markup) {
  this.row.find(".value").html(markup);
}

Field.prototype.find = function(css) {
  return this.row.find(css);
}

module.exports = Field;
